%define version 3.0.0
%define tarballver %version
%define release %mkrel 1
%define oname   ktorrent

Name:		kde4-ktorrent
Epoch:		1
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:		http://ktorrent.org/
Group:		Graphical desktop/KDE
Source0:	http://ktorrent.org/downloads/%{tarballver}/ktorrent-%{tarballver}.tar.bz2
Summary:        BitTorrent program for KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdelibs4-devel
BuildRequires:  gmp-devel
BuildRequires:  qca2-devel

%description
KTorrent is a BitTorrent program for KDE4. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files -f %oname.lang
%defattr(-,root,root)
%{_kde_bindir}/ktorrent
%{_kde_bindir}/ktupnptest
%{_kde_libdir}/kde4/*
%{_kde_datadir}/kde4/servicetypes/*.desktop
%{_kde_datadir}/kde4/services/*.desktop
%{_kde_datadir}/applications/kde4/ktorrent.desktop
%dir %{_kde_appsdir}/ktorrent
%{_kde_appsdir}/ktorrent/*.png
%{_kde_appsdir}/ktorrent/FLAGS_LICENCE
%{_kde_appsdir}/ktorrent/GeoIP-LICENSE.txt
%{_kde_appsdir}/ktorrent/geoip.dat
%{_kde_appsdir}/ktorrent/ktorrentui.rc
%{_kde_appsdir}/ktorrent/ktsearchpluginui.rc
%dir %{_kde_appsdir}/ktorrent/www
%dir %{_kde_appsdir}/ktorrent/www/coldmilk
%{_kde_appsdir}/ktorrent/www/coldmilk/*
%dir %{_kde_appsdir}/ktorrent/www/default
%{_kde_appsdir}/ktorrent/www/default/*
%dir %{_kde_appsdir}/ktorrent/www/mobile
%{_kde_appsdir}/ktorrent/www/mobile/*
%{_kde_iconsdir}/hicolor/*/*/*

#------------------------------------------------

%define libktcore %mklibname ktcore %ktcore_major
%define ktcore_major 3

%package -n %libktcore
Summary: Ktorrent core library
Group: System/Libraries


%description -n %libktcore
KDE 4 core library.

%post -n %libktcore -p /sbin/ldconfig
%postun -n %libktcore -p /sbin/ldconfig

%files -n %libktcore
%defattr(-,root,root)
%{_kde_libdir}/libktcore.so.%{ktcore_major}*

#------------------------------------------------

%define libktupnp %mklibname ktupnp %ktupnp_major
%define ktupnp_major 1

%package -n %libktupnp
Summary: Ktorrent core library
Group: System/Libraries

%description -n %libktupnp
KDE 4 core library.

%post -n %libktupnp -p /sbin/ldconfig
%postun -n %libktupnp -p /sbin/ldconfig

%files -n %libktupnp
%defattr(-,root,root)
%{_kde_libdir}/libktupnp.so.%{ktupnp_major}*

#------------------------------------------------

%define libbtcore %mklibname btcore %btcore_major
%define btcore_major 3

%package -n %libbtcore
Summary: Ktorrent core library
Group: System/Libraries

%description -n %libbtcore
KDE 4 core library.

%post -n %libbtcore -p /sbin/ldconfig
%postun -n %libbtcore -p /sbin/ldconfig

%files -n %libbtcore
%defattr(-,root,root)
%{_kde_libdir}/libbtcore.so.%{btcore_major}*

#------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libktupnp = %epoch:%version-%release
Requires: %libktcore = %epoch:%version-%release
Requires: %libbtcore = %epoch:%version-%release
Conflicts: kde4-ktorrent < 3.0-0.beta5.2
 
%description  devel
This package contains header files needed if you wish to build applications
based on ktorrent for KDE4.

%files devel
%defattr(-,root,root)
%{_kde_libdir}/libktcore.so
%{_kde_libdir}/libktupnp.so
%{_kde_libdir}/libbtcore.so
%{_kde_appsdir}/cmake/modules/FindBTCore.cmake
%{_kde_includedir}/libbtcore

#------------------------------------------------

%prep
%setup -q -n %{oname}-%{tarballver}

%build
%cmake_kde4 
%make

%install
rm -rf %buildroot
cd build
%{makeinstall_std}
cd -

%find_lang %oname

%clean
rm -rf %buildroot


%changelog
* Mon Feb 18 2008 Funda Wang <fundawang@mandriva.org> 1:3.0.0-1mdv2008.0
+ Revision: 171488
- fix libmajor
- simplify include dir
- New version 3.0.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 1:3.0-0.rc1.2mdv2008.1
+ Revision: 159679
- fix requirements on libs

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 1:3.0-0.rc1.1mdv2008.1
+ Revision: 158851
- New versino 3.0 rc1

* Tue Jan 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.0-1mdv2008.1
+ Revision: 153215
- Add libbtcore package
  Fix File list
- New version 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0-0.beta5.5mdv2008.1
+ Revision: 139287
- Rebuild against new kde4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0-0.beta5.4mdv2008.1
+ Revision: 117231
- Rebuild for new kdebase

* Fri Nov 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0-0.beta5.3mdv2008.1
+ Revision: 114141
- Rebuild against new kde snapshot
- Add devel package and add libktcore.so libktupnp.so in it

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0-0.beta5.1mdv2008.1
+ Revision: 109653
- Fix BuildRequires
- Fix ktorrent website URL
- import kde4-ktorrent


